components:
  schemas:
    EndpointGroup_v1_3_2_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/EndpointGroup_v1_3_2_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EndpointGroup_v1_3_2_EndpointGroup:
      additionalProperties: false
      description: The EndpointGroup schema describes group of endpoints that are
        managed as a unit.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        AccessState:
          $ref: http://redfish.dmtf.org/schemas/v1/EndpointGroup.yaml#/components/schemas/EndpointGroup_AccessState
          deprecated: true
          description: The access state for this group.
          nullable: true
          readOnly: false
          x-deprecatedReason: This property has been deprecated in favor of the AccessState
            property in the connection resource.
          x-longDescription: The value of this property shall contain the access state
            for all associated resources in this endpoint group.
          x-versionDeprecated: v1_3_0
        Actions:
          $ref: '#/components/schemas/EndpointGroup_v1_3_2_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Endpoints:
          deprecated: true
          description: The endpoints in this endpoint group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-deprecatedReason: This property has been deprecated in favor of the Endpoints
            property within Links.
          x-longDescription: This property shall contain an array of links to resources
            of type Endpoint that represent the endpoints that are in this endpoint
            group.
          x-versionDeprecated: v1_3_0
        Endpoints@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        GroupType:
          $ref: '#/components/schemas/EndpointGroup_v1_3_2_GroupType'
          description: The endpoint group type.
          nullable: true
          readOnly: false
          x-longDescription: The value of this property shall contain the endpoint
            group type.  If this endpoint group represents a SCSI target group, the
            value of this property shall contain `Server` or `Target`.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifier:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          description: The durable name for the endpoint group.
          x-longDescription: This property shall contain the durable name for the
            endpoint group.
        Links:
          $ref: '#/components/schemas/EndpointGroup_v1_3_2_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Preferred:
          deprecated: true
          description: An indication if access to the resources through the endpoint
            group is preferred.
          nullable: true
          readOnly: false
          type: boolean
          x-deprecatedReason: This property has been deprecated in favor of the AccessState
            property in the connection resource.
          x-longDescription: The value of this property shall indicate if access to
            the resources through the endpoint group is preferred over access through
            other endpoints.  The default value for this property is `false`.
          x-versionDeprecated: v1_2_0
        TargetEndpointGroupIdentifier:
          description: The SCSI-defined identifier for this group.
          format: int64
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain a SCSI-defined
            identifier for this group that corresponds to the TARGET PORT GROUP field
            in the REPORT TARGET PORT GROUPS response and the TARGET PORT GROUP field
            in an INQUIRY VPD page 85 response, type 5h identifier.  See the INCITS
            SAM-5 specification.  This property may not be present if the endpoint
            group does not represent a SCSI target group.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a group of endpoints that are
        managed as a unit for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EndpointGroup_v1_3_2_GroupType:
      enum:
      - Client
      - Server
      - Initiator
      - Target
      type: string
      x-enumDeprecated:
        Client: This value has been deprecated in favor of `Initiator`.
        Server: This value has been deprecated in favor of `Target`.
      x-enumDescriptions:
        Client: The group contains the client (initiator) endpoints.
        Initiator: The group contains the initiator endpoints.
        Server: The group contains the server (target) endpoints.
        Target: The group contains the target endpoints.
      x-enumLongDescriptions:
        Client: This value shall indicate that the endpoint group contains client
          (initiator) endpoints.  If the associated endpoints contain the EntityRole
          property, the EntityRole property shall contain the value `Initiator` or
          `Both`.
        Initiator: This value shall indicate that the endpoint group contains initiator
          endpoints.  If the associated endpoints contain the EntityRole property,
          the EntityRole property shall contain the value `Initiator` or `Both`.
        Server: This value shall indicate that the endpoint group contains server
          (target) endpoints.  If the associated endpoints contain the EntityRole
          property, the EntityRole property shall contain the value `Target` or `Both`.
        Target: This value shall indicate that the endpoint group contains target
          endpoints.  If the associated endpoints contain the EntityRole property,
          the EntityRole property shall contain the value `Target` or `Both`.
      x-enumVersionAdded:
        Initiator: v1_3_0
        Target: v1_3_0
      x-enumVersionDeprecated:
        Client: v1_3_0
        Server: v1_3_0
    EndpointGroup_v1_3_2_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        Connections:
          description: The connections to which this endpoint group belongs.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type Connection that represent the connections to which this endpoint
            group belongs.
          x-versionAdded: v1_3_0
        Connections@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Endpoints:
          description: The endpoints in this endpoint group.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type Endpoint that represent the endpoints that are in this endpoint
            group.
          x-versionAdded: v1_3_0
        Endpoints@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    EndpointGroup_v1_3_2_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#EndpointGroup.v1_3_2.EndpointGroup'
x-copyright: Copyright 2014-2021 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2020.3'
